import { type LanguageInput, type ThemeInput, type RegexEngine } from 'shiki';
import type { MdcConfig, Highlighter } from '@nuxtjs/mdc';
export interface CreateShikiHighlighterOptions {
    themes?: ThemeInput[];
    langs?: LanguageInput[];
    bundledThemes?: Record<string, ThemeInput>;
    bundledLangs?: Record<string, LanguageInput>;
    options?: {
        wrapperStyle?: string;
    };
    getMdcConfigs?: () => Promise<MdcConfig[]>;
    engine?: RegexEngine | Promise<RegexEngine>;
}
export declare function createShikiHighlighter({ langs, themes, bundledLangs, bundledThemes, getMdcConfigs, options: shikiOptions, engine }?: CreateShikiHighlighterOptions): Highlighter;
